io.milvus.param.role

## Class GrantRolePrivilegeParam.Builder

- java.lang.Object
- - io.milvus.param.role.GrantRolePrivilegeParam.Builder

- Enclosing class:
    GrantRolePrivilegeParam

      public static final class GrantRolePrivilegeParam.Builder
      extends java.lang.Object

  Builder for `GrantRolePrivilegeParam` class.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GrantRolePrivilegeParam` | `build()` Verifies parameters and creates a new `GrantRolePrivilegeParam` instance.
    `GrantRolePrivilegeParam.Builder` | `withDatabaseName(java.lang.String databaseName)` Sets the databaseName.
    `GrantRolePrivilegeParam.Builder` | `withObject(@NonNull java.lang.String object)` Sets the object.
    `GrantRolePrivilegeParam.Builder` | `withObjectName(@NonNull java.lang.String objectName)` Sets the objectName.
    `GrantRolePrivilegeParam.Builder` | `withPrivilege(@NonNull java.lang.String privilege)` Sets the privilege.
    `GrantRolePrivilegeParam.Builder` | `withRoleName(@NonNull java.lang.String roleName)` Sets the roleName.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### withDatabaseName

          public GrantRolePrivilegeParam.Builder withDatabaseName(java.lang.String databaseName)

      Sets the databaseName. databaseName cannot be null.
      Parameters:
        `databaseName` - databaseName
      Returns:
        `Builder`

    - #### withRoleName

          public GrantRolePrivilegeParam.Builder withRoleName(@NonNull
                                                              @NonNull java.lang.String roleName)

      Sets the roleName. RoleName cannot be empty or null.
      Parameters:
        `roleName` - roleName
      Returns:
        `Builder`

    - #### withObject

          public GrantRolePrivilegeParam.Builder withObject(@NonNull
                                                            @NonNull java.lang.String object)

      Sets the object. object cannot be empty or null.
      Parameters:
        `object` - object
      Returns:
        `Builder`

    - #### withObjectName

          public GrantRolePrivilegeParam.Builder withObjectName(@NonNull
                                                                @NonNull java.lang.String objectName)

      Sets the objectName. objectName cannot be empty or null.
      Parameters:
        `objectName` - objectName
      Returns:
        `Builder`

    - #### withPrivilege

          public GrantRolePrivilegeParam.Builder withPrivilege(@NonNull
                                                               @NonNull java.lang.String privilege)

      Sets the privilege. privilege cannot be empty or null.
      Parameters:
        `privilege` - privilege
      Returns:
        `Builder`

    - #### build

          public GrantRolePrivilegeParam build()
                                        throws ParamException

      Verifies parameters and creates a new `GrantRolePrivilegeParam` instance.
      Returns:
        `GrantRolePrivilegeParam`
      Throws:
        `ParamException`